var cells=
[
["i_pronomi","I PRONOMI","border:1px dashed gray;background:#cccccc;grid-column:6/span 2;grid-row:1;","fond","audio/i_pronomi.mp3"],
["sono","SONO","border:1px dashed gray;background:#ffff80;grid-column:5;grid-row:1;","fond","audio/sono.mp3"],
["parti","PARTI VARIABILI DEL DISCORSO CHE <b>SOSTITUISCONO</b> UN <b>NOME</b>","border:1px dashed gray;background:#ffffcc;grid-column:1/span 4;grid-row:1;","fond","audio/parti.mp3"],
["ce","CE NE SONO DIVERSI TIPI","border:1px dashed gray;background:#cccccc;grid-column:6/span 2;grid-row:2;","fond","audio/ce.mp3"],
["personali","PRONOMI PERSONALI","border:1px dashed gray;background:#bcbcff;grid-column:1/span 3;grid-row:3;","fond","audio/personali.mp3"],
["indicano","INDICANO LE PERSONE COME SOGGETTO O COMPLEMENTO O IN FORMA RIFLESSIVA <img src='imgs/finestra.png' style='vertical-align:bottom;' />","border:1px dashed gray;background:#d5d5ff;grid-column:1/span 3;grid-row:4/span 2;","indicano_div","audio/indicano.mp3"],
["possessivi","PRONOMI POSSESSIVI","border:1px dashed gray;background:#ffbcbc;grid-column:4/span 3;grid-row:3;","fond","audio/possessivi.mp3"],
["possessore","PRECISANO A CHI APPARTIENE CIÒ CHE È INDICATO DAL NOME CHE SOSTITUISCONO <img src='imgs/finestra.png' style='vertical-align:bottom;' />","border:1px dashed gray;background:#ffd5d5;grid-column:4/span 3;grid-row:4/span 2;","possessore_div","audio/possessore.mp3"],
["dimostrativi","PRONOMI DIMOSTRATIVI","border:1px dashed gray;background:#bcffbc;grid-column:4/span 3;grid-row:6;","fond","audio/dimostrativi.mp3"],
["specificano","SPECIFICANO LA POSIZIONE NELLO SPAZIO E NEL TEMPO DELLA PERSONA/COSA DEL NOME CHE SOSTITUISCONO <img src='imgs/finestra.png' style='vertical-align:bottom;' />","border:1px dashed gray;background:#d5ffd5;grid-column:4/span 3;grid-row:7/span 2;","specificano_div","audio/specificano.mp3"],
["indefiniti","PRONOMI INDEFINITI","border:1px dashed gray;background:#b0ffff;grid-column:7/span 3;grid-row:6;","fond","audio/indefiniti.mp3"],
["iden","INDICANO IN MODO GENERICO LA QUANTITÀ O L' IDENTITÀ DEL NOME CHE SOSTITUISCONO <img src='imgs/finestra.png' style='vertical-align:bottom;' />","border:1px dashed gray;background:#cbffff;grid-column:7/span 3;grid-row:7/span 2;","iden_div","audio/iden.mp3"],
["relativi","PRONOMI RELATIVI","border:1px dashed gray;background:#ffb0ff;grid-column:7/span 3;grid-row:3;","fond","audio/relativi.mp3"],
["sost","SOSTITUISCONO UN NOME E COLLEGANO DUE FRASI TRA LORO <img src='imgs/finestra.png' style='vertical-align:bottom;' />","border:1px dashed gray;background:#ffd0ff;grid-column:7/span 3;grid-row:4/span 2;","sost_div","audio/sost.mp3"],
["misti","PRONOMI MISTI","border:1px dashed gray;background:#ffffb0;grid-column:10/span 3;grid-row:3;","fond","audio/misti.mp3"],
["fondono","FONDONO DUE DIVERSI PRONOMI IN UNA FORMA UNICA<br>- <b>CHI</b> = COLUI CHE<br>- <b>CHIUNQUE</b> = QUALUNQUE PERSONA CHE<br>- <b>QUANTO</b> = CIÒ CHE<br>- <b>QUANTI</b> = QUELLI CHE<br><br>ES.: CHIUNQUE LA PENSI COSÌ SBAGLIA","border:1px dashed gray;background:#ffffd5;grid-column:10/span 3;grid-row:4/span 3;text-align:left;padding:5px;","fond","audio/fondono.mp3"],
["esclamativi","ESCLAMATIVI E INTERROGATIVI","border:1px dashed gray;background:#ffb289;grid-column:8/span 2;grid-row:1;text-align:center;","fond","audio/esclamativi.mp3"],
["intro","INTRODUCONO UNA DOMANDA O UN' ESCLAMAZIONE<br>CHI CHE QUALE QUANTO<br>ES.: CHI SEI? CHI SI VEDE!","border:1px dashed gray;background:#ffd2bc;grid-column:10/span 3;grid-row:1/span 2;","fond","audio/intro.mp3"],
["fond","","border-width:0px;background:#ffffff","fond",""],
];
var len = cells.length;	
function cleanButtons()
{	let y=document.getElementById(cells[0][0]);
	let h=document.getElementById(cells[1][0]);
	for (let b=0;b<len;b++)
	{	document.getElementById(cells[b][0]).style.background="white";
		document.getElementById(cells[b][0]).innerHTML="";
	}
	y.style.background="#dddddd";
	y.style.boxShadow="10px 10px 10px 10px lightgray";
	h.style.border="1px dashed gray";
	document.getElementById("fond").style.display="none";
}	
function showAll()
{	for(let i=0;i<len;i++)
	{	let k = document.getElementById(cells[i][0]);
		k.style=cells[i][2];
		k.innerHTML=cells[i][1];				
	}	
	document.getElementById("fond").style.display="none";	
}
window.onload = function ()
{	for (let g=1;g<len;g++)
	{	let k=document.getElementById(cells[g][0]);
		k.style=cells[g][2];
		k.style.background="#ffffff";
	}
	document.getElementById("fond").style.border="0px solid white";
	document.getElementById("i_pronomi").innerHTML=cells[0][1];
	document.getElementById("i_pronomi").style=cells[0][2];
	document.addEventListener("mouseover",eventOver);	
	function eventOver(e)
	{	for(let i=0;i<len;i++)
		{	let k = document.getElementById(cells[i][0]);
			if (k==e.target)
			{	k.style=cells[i][2];
				k.style.borderWidth="0px";
				k.style.boxShadow="10px 10px 10px 10px lightgray";	
				k.innerHTML=cells[i][1];
				document.getElementById(cells[i+1][0]).style=cells[i+1][2];
				document.getElementById("fond").style.display="none";
				displayAudio(cells[i][4]);
			}			
		}		
	}
	document.addEventListener("mouseout",eventOut);	
	function eventOut(e)
	{	for(let i=0;i<len;i++)
		{	let k = document.getElementById(cells[i][0]);
			if (k==e.target)
			{	k.style=cells[i][2];
				k.style.boxShadow="0px 0px 0px 0px gray";
				document.getElementById(cells[i+1][0]).style.border="1px dashed gray";
			}	
		}		
	}
	document.addEventListener("click",eventClick);	
	function eventClick(e)
	{	for(let i=1;i<len;i++)
		{	let k = document.getElementById(cells[i][0]);
			if (k==e.target)
			{	if (document.getElementById(cells[i][3]).style.display=="block")
				{	document.getElementById(cells[i][3]).style.display="none";
				}
				else
				{	document.getElementById(cells[i][3]).style.display="block"
				}
			}
		}	
		document.getElementById("fond").style.display="none";	
	}
return;
}
function displayAudio(audio)
{	let blob="<audio controls autoplay hidden>"+
	"<source src='"+audio+"' type='audio/ogg'>"+
	"<source src='"+audio+"' type='audio/mpeg'>"+	
	"Your browser does not support the audio element.</audio>";
	document.getElementById("sound").innerHTML=blob;	
}
let dim = false;
const BIBBI_WIDTH = "48%";
const BIBBI_TOP = "20%"
const BIBBI1_LEFT = "1%";
const BIBBI2_LEFT = "51%";
const BIBBI_MAX_HEIGTH = "70%";
const BIBBI_ENLARGE_WIDTH = "98%";
const BIBBI_ENLARGE_HEIGTH = "85%";
const BIBBI_ENLARGE_TOP = "10%";
function hideIt(qc)
{   let bibbis1=document.getElementsByClassName("bibbi1");
    let k=bibbis1.length;
    let bibbis2=document.getElementsByClassName("bibbi2");
    let h=bibbis2.length;
    for(let a=0;a<k;a++)
    {	bibbis1[a].style.display="none";
    }
    for(let b=0;b<h;b++)
    {	bibbis2[b].style.display="none";
    }
	
	if(document.getElementById(qc).getAttribute('class')=="bibbi1")
    {	document.getElementById(qc).style.top = BIBBI_TOP;
		document.getElementById(qc).style.left = BIBBI1_LEFT;
	    document.getElementById(qc).style.width = BIBBI_WIDTH;
	    document.getElementById(qc).style.maxHeight = BIBBI_MAX_HEIGTH;
	}
    else
    {	document.getElementById(qc).style.top = BIBBI_TOP;
		document.getElementById(qc).style.left = BIBBI2_LEFT;
    	document.getElementById(qc).style.width = BIBBI_WIDTH;
    	document.getElementById(qc).style.maxHeight = BIBBI_MAX_HEIGTH;
    }
	document.getElementById(qc).style.display = "none";
	dim=false;	
}
function enlargeIt(div)
{	if(dim==true)
	{	if(document.getElementById(div).getAttribute("class")=="bibbi1")
		{	document.getElementById(div).style.width=BIBBI_WIDTH;
			document.getElementById(div).style.height="auto";
			document.getElementById(div).style.left=BIBBI1_LEFT;
			document.getElementById(div).style.top=BIBBI_TOP;
		  	document.getElementById(div).style.maxHeight=BIBBI_MAX_HEIGTH;
			dim=false;
		}
		else if(document.getElementById(div).getAttribute("class")=="bibbi2") 
		{	document.getElementById(div).style.width=BIBBI_WIDTH;
			document.getElementById(div).style.height="auto";
			document.getElementById(div).style.left=BIBBI2_LEFT;
			document.getElementById(div).style.top=BIBBI_TOP;
		  	document.getElementById(div).style.maxHeight=BIBBI_MAX_HEIGTH;
			dim=false;
		}
	}
	else if(dim==false)
	{	document.getElementById(div).style.width=BIBBI_ENLARGE_WIDTH;
		document.getElementById(div).style.height="auto";
		document.getElementById(div).style.left=BIBBI1_LEFT;
		document.getElementById(div).style.top=BIBBI_ENLARGE_TOP;
		document.getElementById(div).style.maxHeight=BIBBI_ENLARGE_HEIGTH;
		dim=true;
	}		
}
